@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

:root {
  --color-primary: #584a99;
  --color-secondary: #efe8f6;
  --color-light: #f7f7f7;
  --color-error: #f75e4b;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  max-width: 1400px;
  margin: auto;
  font-family: "Inter", sans-serif;
}

header {
  padding: 30px 0;
}

header h1 {
  background: #584A99;
  background: linear-gradient(to right, #584A99 0%, #2F2752 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 800 ;
}

.line {
margin-left: 5px;
  width: 10rem;
  height: 4px;
  background-color: #52458e;
  border-radius: 20rem;
}

.line2 {
  margin-left: 5px;
  margin-top: 5px;
    width: 7rem;
    height: 4px;
    background-color: #52458e;
    border-radius: 20rem;
  }

main {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
  margin-bottom: 20px;
}

#products {
   display: flex;
   flex-wrap: wrap;
   justify-content: space-between;
   margin-right: 40px;
   gap: 1rem;
}

#products > div {
  width: 320px;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  border-radius: 15px;
}

#products img {
  padding-top: 5px;
  width: 300px;
  border-radius: 25px;
}

#product-info {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: var(--color-secondary);
  width: 95%;
  margin-bottom: 10px;
  border-radius: 25px;
  height: 120px;
  padding: 25px;
  margin-top: 30px;
}

#product-info h3 {
  color: var(--color-primary);
  font-size: 1.3rem;
  font-weight: 800;
}

#product-info div {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#product-info span {
  font-size: 1.1rem;
  color: gray;
}

#product-info button {
  background-color: #fff;
  border: none;
  width: 40px;
  height: 40px;
  line-height: 40px;
  border-radius: 50%;
  font-size: 2rem;
  color: var(--color-primary);
  cursor: pointer;
  transition: all 0.2s ease-in;
}

#product-info button:hover {
  background-color: var(--color-primary);
  color: #fff;
  border-radius: 40%;
}

#cart h3 {
  background-color: var(--color-primary);
  color: #fff;
  padding: 20px;
  text-align: center;
  font-size: 1.5rem;
  border-radius: 25px;
  margin-bottom: 30px;
  font-weight: 800;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

#cart-list {
  width: 330px;
  margin-bottom: 10px;
}

#cart-list h5 {
  color: var(--color-error);
  border: 2px solid var(--color-error);
  padding: 40px 0;
  text-align: center;
  border-radius: 25px;
  font-size: 1.5rem;
  margin-bottom: 30px;
}

#cart-list > div {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 2px solid var(--color-light);
  padding: 20px;
  border-radius: 25px;
  margin-bottom: 10px;
}

#cart-list img {
  width: 60px;
  border-radius: 50%;
}

#cart-info {
  text-align: center;
}

#cart-info h4 {
  color: var(--color-primary);
  margin-bottom: 10px;
  font-size: 1.2rem;
}

#cart-info p {
  color: gray;
}

#cart-control div {
  width: 90px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

#cart-control div button {
  background: var(--color-secondary);
  border: none;
  width: 30px;
  height: 30px;
  line-height: 30px;
  border-radius: 50%;
  font-size: 1.4rem;
  cursor: pointer;
  transition: 0.2s all ease-in;
}

#cart-control div button:hover {
  background-color: var(--color-primary);
  color: #fff;
  border-radius: 40%;
}

#cart-control > button {
  background-color: #fff;
  border: 1px solid var(--color-error);
  border-radius: 5px;
  width: 100%;
  padding: 5px;
  border-radius: 10px;
  color: var(--color-error);
  cursor: pointer;
  transition: 0.2s all ease-in;
}

#cart-control > button:hover {
  background-color: var(--color-error);
  color: #fff;
}

#total-price {
  border: 2px solid var(--color-secondary);
  padding: 20px;
  color: gray;
}

#total-price span {
  color: var(--color-primary);
}